### A free/open-source library for quantitative finance

Public Member Functions
BlackSwaptionEngine Class Reference
Swaption engines

Black-formula swaption engine. More...

`#include <ql/pricingengines/swaption/blackswaptionengine.hpp>`

Inheritance diagram for BlackSwaptionEngine:
[legend]

List of all members.

## Public Member Functions

| BlackSwaptionEngine (const Handle< YieldTermStructure > &discountCurve, Volatility vol, const DayCounter &dc=Actual365Fixed())
| BlackSwaptionEngine (const Handle< YieldTermStructure > &discountCurve, const Handle< Quote > &vol, const DayCounter &dc=Actual365Fixed())
| BlackSwaptionEngine (const Handle< YieldTermStructure > &discountCurve, const Handle< SwaptionVolatilityStructure > &vol)
void | calculate () const
Handle< YieldTermStructure > | termStructure ()
Handle < SwaptionVolatilityStructure > | volatility ()

## Detailed Description

Black-formula swaption engine.

Warning:
  The engine assumes that the exercise date equals the start date of the passed swap.